	.file	"gif.cc"
gcc2_compiled.:
___gnu_compiled_cplusplus:
.text
	.align 4
___gnu_calloc:
	pushl %ebp
	movl %esp,%ebp
	pushl %esi
	pushl %ebx
	movl 8(%ebp),%ebx
	movl 12(%ebp),%esi
	movl %esi,%eax
	testl %esi,%esi
	jne L2
	movl $1,%eax
L2:
	pushl %eax
	movl %ebx,%eax
	testl %ebx,%ebx
	jne L3
	movl $1,%eax
L3:
	pushl %eax
	call _calloc
	addl $8,%esp
	movl %eax,%edx
	movl %edx,%eax
	jmp L1
	.align 4,0x90
	jmp L1
	.align 4,0x90
	jmp L4
	.align 4,0x90
	jmp L1
	.align 4,0x90
L4:
L1:
	leal -8(%ebp),%esp
	popl %ebx
	popl %esi
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
___gnu_malloc:
	pushl %ebp
	movl %esp,%ebp
	pushl %ebx
	movl 8(%ebp),%ebx
	movl %ebx,%eax
	testl %ebx,%ebx
	jne L6
	movl $1,%eax
L6:
	pushl %eax
	call _malloc
	addl $4,%esp
	movl %eax,%edx
	movl %edx,%eax
	jmp L5
	.align 4,0x90
	jmp L5
	.align 4,0x90
	jmp L7
	.align 4,0x90
	jmp L5
	.align 4,0x90
L7:
L5:
	movl -4(%ebp),%ebx
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
___3Gif:
	pushl %ebp
	movl %esp,%ebp
	movl 8(%ebp),%edx
	movl $0,4(%edx)
	movl $0,8(%edx)
	movl $0,12(%edx)
	movl $0,16(%edx)
	movl $0,20(%edx)
	movl $0,128(%edx)
L9:
	movl %edx,%eax
	jmp L8
	.align 4,0x90
	jmp L8
	.align 4,0x90
L8:
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
_GetPtr__3Gif:
	pushl %ebp
	movl %esp,%ebp
	movl 8(%ebp),%edx
	movl 132(%edx),%eax
	jmp L10
	.align 4,0x90
	jmp L10
	.align 4,0x90
L10:
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
_GetWidth__3Gif:
	pushl %ebp
	movl %esp,%ebp
	movl 8(%ebp),%edx
	movl 32(%edx),%eax
	jmp L11
	.align 4,0x90
	jmp L11
	.align 4,0x90
L11:
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
_GetHeight__3Gif:
	pushl %ebp
	movl %esp,%ebp
	movl 8(%ebp),%edx
	movl 36(%edx),%eax
	jmp L12
	.align 4,0x90
	jmp L12
	.align 4,0x90
L12:
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
___3GifRC3Gif:
	pushl %ebp
	movl %esp,%ebp
	subl $4,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	movl 8(%ebp),%ecx
	movl 12(%ebp),%esi
	movl (%esi),%esi
	movl %esi,(%ecx)
	movl 12(%ebp),%edx
	movl 4(%edx),%edx
	movl %edx,4(%ecx)
	movl 12(%ebp),%esi
	movl 8(%esi),%esi
	movl %esi,8(%ecx)
	movl 12(%ebp),%edx
	movl 12(%edx),%edx
	movl %edx,12(%ecx)
	movl 12(%ebp),%esi
	movl 16(%esi),%esi
	movl %esi,16(%ecx)
	movl 12(%ebp),%edx
	movl 20(%edx),%edx
	movl %edx,20(%ecx)
	movl 12(%ebp),%esi
	movl 24(%esi),%esi
	movl %esi,24(%ecx)
	movl 12(%ebp),%edx
	movl 28(%edx),%edx
	movl %edx,28(%ecx)
	movl 12(%ebp),%esi
	movl 32(%esi),%esi
	movl %esi,32(%ecx)
	movl 12(%ebp),%edx
	movl 36(%edx),%edx
	movl %edx,36(%ecx)
	movl 12(%ebp),%esi
	movl 40(%esi),%esi
	movl %esi,40(%ecx)
	movl 12(%ebp),%edx
	movl 44(%edx),%edx
	movl %edx,44(%ecx)
	movl 12(%ebp),%esi
	movl 48(%esi),%esi
	movl %esi,48(%ecx)
	movl 12(%ebp),%edx
	movl 52(%edx),%edx
	movl %edx,52(%ecx)
	movl 12(%ebp),%esi
	movl 56(%esi),%esi
	movl %esi,56(%ecx)
	movl 12(%ebp),%edx
	movl 60(%edx),%edx
	movl %edx,60(%ecx)
	movl 12(%ebp),%esi
	movl 64(%esi),%esi
	movl %esi,64(%ecx)
	movl 12(%ebp),%edx
	movl 68(%edx),%edx
	movl %edx,68(%ecx)
	movl 12(%ebp),%esi
	movl 72(%esi),%esi
	movl %esi,72(%ecx)
	movl 12(%ebp),%edx
	movl 76(%edx),%edx
	movl %edx,76(%ecx)
	movl 12(%ebp),%esi
	movl 80(%esi),%esi
	movl %esi,80(%ecx)
	movl 12(%ebp),%edx
	movl 84(%edx),%edx
	movl %edx,84(%ecx)
	movl 12(%ebp),%esi
	movl 88(%esi),%esi
	movl %esi,88(%ecx)
	movl 12(%ebp),%edx
	movl 92(%edx),%edx
	movl %edx,92(%ecx)
	movl 12(%ebp),%esi
	movl 96(%esi),%esi
	movl %esi,96(%ecx)
	movl 12(%ebp),%edx
	movl 100(%edx),%edx
	movl %edx,100(%ecx)
	movl 12(%ebp),%esi
	movl 104(%esi),%esi
	movl %esi,104(%ecx)
	movl 12(%ebp),%edx
	movl 108(%edx),%edx
	movl %edx,108(%ecx)
	movl 12(%ebp),%esi
	movl 112(%esi),%esi
	movl %esi,112(%ecx)
	movl 12(%ebp),%edx
	movl 116(%edx),%edx
	movl %edx,116(%ecx)
	movl 12(%ebp),%esi
	movl 120(%esi),%esi
	movl %esi,120(%ecx)
	movl 12(%ebp),%edx
	movl 124(%edx),%edx
	movl %edx,124(%ecx)
	movl 12(%ebp),%esi
	movl 128(%esi),%esi
	movl %esi,128(%ecx)
	movl 12(%ebp),%edx
	movl 132(%edx),%edx
	movl %edx,132(%ecx)
	movl 12(%ebp),%esi
	movl 136(%esi),%esi
	movl %esi,136(%ecx)
	movl 12(%ebp),%edx
	movl 140(%edx),%edx
	movl %edx,140(%ecx)
	xorl %eax,%eax
	leal 144(%ecx),%eax
	leal 144(%ecx),%esi
	movl %esi,-4(%ebp)
	movl $4095,%ebx
	movl 12(%ebp),%edi
	addl $144,%edi
	testl %ebx,%ebx
	jl L14
L15:
	movl (%edi),%esi
	movl -4(%ebp),%edx
	movl %esi,(%edx)
	addl $4,-4(%ebp)
	addl $4,%edi
L17:
	decl %ebx
	cmpl $-1,%ebx
	je L16
	jmp L15
	.align 4,0x90
L16:
L14:
	xorl %eax,%eax
	leal 16528(%ecx),%eax
	leal 16528(%ecx),%edx
	movl %edx,-4(%ebp)
	movl $4095,%ebx
	movl 12(%ebp),%edi
	addl $16528,%edi
	testl %ebx,%ebx
	jl L18
L19:
	movl (%edi),%edx
	movl -4(%ebp),%esi
	movl %edx,(%esi)
	addl $4,-4(%ebp)
	addl $4,%edi
L21:
	decl %ebx
	cmpl $-1,%ebx
	je L20
	jmp L19
	.align 4,0x90
L20:
L18:
	xorl %eax,%eax
	leal 32912(%ecx),%eax
	leal 32912(%ecx),%esi
	movl %esi,-4(%ebp)
	movl $1024,%ebx
	movl 12(%ebp),%edi
	addl $32912,%edi
	testl %ebx,%ebx
	jl L22
L23:
	movl (%edi),%esi
	movl -4(%ebp),%edx
	movl %esi,(%edx)
	addl $4,-4(%ebp)
	addl $4,%edi
L25:
	decl %ebx
	cmpl $-1,%ebx
	je L24
	jmp L23
	.align 4,0x90
L24:
L22:
	xorl %eax,%eax
	leal 37012(%ecx),%eax
	leal 37012(%ecx),%edx
	movl %edx,-4(%ebp)
	movl $255,%ebx
	movl 12(%ebp),%edi
	addl $37012,%edi
	testl %ebx,%ebx
	jl L26
L27:
	movb (%edi),%dl
	movl -4(%ebp),%esi
	movb %dl,(%esi)
	incl -4(%ebp)
	incl %edi
L29:
	decl %ebx
	cmpl $-1,%ebx
	je L28
	jmp L27
	.align 4,0x90
L28:
L26:
	xorl %eax,%eax
	leal 37268(%ecx),%eax
	leal 37268(%ecx),%edx
	movl %edx,-4(%ebp)
	movl $255,%ebx
	movl 12(%ebp),%edi
	addl $37268,%edi
	testl %ebx,%ebx
	jl L30
L31:
	movb (%edi),%dl
	movl -4(%ebp),%esi
	movb %dl,(%esi)
	incl -4(%ebp)
	incl %edi
L33:
	decl %ebx
	cmpl $-1,%ebx
	je L32
	jmp L31
	.align 4,0x90
L32:
L30:
	xorl %eax,%eax
	leal 37524(%ecx),%eax
	leal 37524(%ecx),%edx
	movl %edx,-4(%ebp)
	movl $255,%ebx
	movl 12(%ebp),%edi
	addl $37524,%edi
	testl %ebx,%ebx
	jl L34
L35:
	movb (%edi),%dl
	movl -4(%ebp),%esi
	movb %dl,(%esi)
	incl -4(%ebp)
	incl %edi
L37:
	decl %ebx
	cmpl $-1,%ebx
	je L36
	jmp L35
	.align 4,0x90
L36:
L34:
	xorl %eax,%eax
	leal 37780(%ecx),%eax
	leal 37780(%ecx),%edx
	movl %edx,-4(%ebp)
	movl $255,%ebx
	movl 12(%ebp),%edi
	addl $37780,%edi
	testl %ebx,%ebx
	jl L38
L39:
	movb (%edi),%dl
	movl -4(%ebp),%esi
	movb %dl,(%esi)
	incl -4(%ebp)
	incl %edi
L41:
	decl %ebx
	cmpl $-1,%ebx
	je L40
	jmp L39
	.align 4,0x90
L40:
L38:
	movl 12(%ebp),%edx
	movl 38036(%edx),%edx
	movl %edx,38036(%ecx)
	movl 12(%ebp),%esi
	movl 38040(%esi),%esi
	movl %esi,38040(%ecx)
L42:
	movl %ecx,%eax
	jmp L13
	.align 4,0x90
	jmp L13
	.align 4,0x90
L13:
	leal -16(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	movl %ebp,%esp
	popl %ebp
	ret
.globl __3Gif$id
LC0:
	.ascii "GIF87a\0"
.data
	.align 2
__3Gif$id:
	.long LC0
.text
	.align 4
.globl _SetPalette__3Gif
_SetPalette__3Gif:
	pushl %ebp
	movl %esp,%ebp
	subl $4,%esp
	pushl %ebx
	movl 8(%ebp),%ebx
	movl $0,-4(%ebp)
	movl $0,-4(%ebp)
L44:
	cmpl $255,-4(%ebp)
	jg L45
	movl %ebx,%eax
	addl -4(%ebp),%eax
	leal 37524(%eax),%edx
	movb (%edx),%al
	shrb $2,%al
	movzbl %al,%edx
	pushl %edx
	movl %ebx,%eax
	addl -4(%ebp),%eax
	leal 37268(%eax),%edx
	movb (%edx),%al
	shrb $2,%al
	movzbl %al,%edx
	pushl %edx
	movl %ebx,%eax
	addl -4(%ebp),%eax
	leal 37012(%eax),%edx
	movb (%edx),%al
	shrb $2,%al
	movzbl %al,%edx
	pushl %edx
	movl -4(%ebp),%ecx
	pushl %ecx
	call _vga_setpalette
	addl $16,%esp
L46:
	incl -4(%ebp)
	jmp L44
	.align 4,0x90
L45:
L43:
	movl -8(%ebp),%ebx
	movl %ebp,%esp
	popl %ebp
	ret
LC1:
	.ascii "-\0"
LC2:
	.ascii "<stdin>\0"
LC3:
	.ascii "rb\0"
LC4:
	.ascii "file not found\0"
LC5:
	.ascii "Fatal Error: %s\12\0"
LC6:
	.ascii "not enough memory to read gif file\0"
LC7:
	.ascii "GIF data read failed\0"
LC8:
	.ascii "not a GIF file\0"
LC9:
	.ascii "screen dims: %dx%d.\12\0"
LC10:
	.ascii "corrupt GIF file (bad screen descriptor)\0"
LC11:
	.ascii "%s is %dx%d, %d bits per pixel, (%d colors).\12\0"
LC12:
	.ascii "warning!  no colortable in this file.  Winging it.\12\0"
LC13:
	.ascii "corrupt GIF file (no image separator)\0"
LC14:
	.ascii "\0"
LC15:
	.ascii "non-\0"
LC16:
	.ascii "Reading a %d by %d %sinterlaced image...\0"
LC17:
	.ascii "corrupt GIF file (unblock)\0"
LC18:
	.ascii "done.\12\0"
LC19:
	.ascii "Decompressing...\0"
LC20:
	.ascii "not enough memory for XImage\0"
LC21:
	.ascii "\12Corrupt GIF file (OutCount)!\12\0"
	.align 4
.globl _Load__3GifPc
_Load__3GifPc:
	pushl %ebp
	movl %esp,%ebp
	subl $36,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	movl 8(%ebp),%esi
	pushl $LC1
	movl 12(%ebp),%edi
	pushl %edi
	call _strcmp
	addl $8,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L48
	movl $__IO_stdin_,(%esi)
	movl $LC2,12(%ebp)
	jmp L49
	.align 4,0x90
L48:
	pushl $LC3
	movl 12(%ebp),%ebx
	pushl %ebx
	call _fopen
	addl $8,%esp
	movl %eax,%eax
	movl %eax,(%esi)
L49:
	cmpl $0,(%esi)
	jne L50
	pushl $LC4
	pushl $LC5
	pushl $__IO_stderr_
	call _fprintf
	addl $12,%esp
	pushl $1
	call _exit
	addl $4,%esp
	.align 4,0x90
L50:
	pushl $2
	pushl $0
	movl (%esi),%edi
	pushl %edi
	call _fseek
	addl $12,%esp
	movl (%esi),%ebx
	pushl %ebx
	call _ftell
	addl $4,%esp
	movl %eax,-4(%ebp)
	pushl $0
	pushl $0
	movl (%esi),%edi
	pushl %edi
	call _fseek
	addl $12,%esp
	movl -4(%ebp),%ebx
	pushl %ebx
	call ___gnu_malloc
	addl $4,%esp
	movl %eax,%edx
	movl %edx,%eax
	movl %eax,136(%esi)
	movl %eax,-16(%ebp)
	testl %eax,%eax
	jne L51
	pushl $LC6
	pushl $LC5
	pushl $__IO_stderr_
	call _fprintf
	addl $12,%esp
	pushl $1
	call _exit
	addl $4,%esp
	.align 4,0x90
L51:
	movl -4(%ebp),%edi
	pushl %edi
	call ___gnu_malloc
	addl $4,%esp
	movl %eax,%eax
	movl %eax,%edx
	movl %edx,140(%esi)
	testl %edx,%edx
	jne L52
	pushl $LC6
	pushl $LC5
	pushl $__IO_stderr_
	call _fprintf
	addl $12,%esp
	pushl $1
	call _exit
	addl $4,%esp
	.align 4,0x90
L52:
	movl (%esi),%ebx
	pushl %ebx
	pushl $1
	movl -4(%ebp),%edi
	pushl %edi
	movl -16(%ebp),%ebx
	pushl %ebx
	call _fread
	addl $16,%esp
	movl %eax,%eax
	cmpl $1,%eax
	je L53
	pushl $LC7
	pushl $LC5
	pushl $__IO_stderr_
	call _fprintf
	addl $12,%esp
	pushl $1
	call _exit
	addl $4,%esp
	.align 4,0x90
L53:
	pushl $6
	movl __3Gif$id,%edi
	pushl %edi
	movl -16(%ebp),%ebx
	pushl %ebx
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	je L54
	pushl $LC8
	pushl $LC5
	pushl $__IO_stderr_
	call _fprintf
	addl $12,%esp
	pushl $1
	call _exit
	addl $4,%esp
	.align 4,0x90
L54:
	addl $6,-16(%ebp)
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movb %bl,-8(%ebp)
	incl -16(%ebp)
	movzbl -8(%ebp),%eax
	movl -16(%ebp),%edi
	movzbl (%edi),%edx
	movl %edx,%ecx
	movl %ecx,%edx
	sall $8,%edx
	movl %eax,%ebx
	addl %edx,%ebx
	movl %ebx,24(%esi)
	incl -16(%ebp)
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movb %bl,-8(%ebp)
	incl -16(%ebp)
	movzbl -8(%ebp),%eax
	movl -16(%ebp),%edi
	movzbl (%edi),%edx
	movl %edx,%ecx
	movl %ecx,%edx
	sall $8,%edx
	movl %eax,%ebx
	addl %edx,%ebx
	movl %ebx,28(%esi)
	incl -16(%ebp)
	cmpl $0,128(%esi)
	je L55
	movl 28(%esi),%edi
	pushl %edi
	movl 24(%esi),%ebx
	pushl %ebx
	pushl $LC9
	pushl $__IO_stderr_
	call _fprintf
	addl $16,%esp
L55:
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movb %bl,-8(%ebp)
	incl -16(%ebp)
	movb -8(%ebp),%al
	shrb $7,%al
	movzbl %al,%edx
	movl %edx,124(%esi)
	movb -8(%ebp),%al
	andb $7,%al
	movzbl %al,%edx
	leal 1(%edx),%edi
	movl %edi,48(%esi)
	movl 48(%esi),%ecx
	movl $1,%eax
	sall %cl,%eax
	movl %eax,%edx
	movl %edx,56(%esi)
	movl %edx,38040(%esi)
	movl 56(%esi),%ebx
	decl %ebx
	movl %ebx,112(%esi)
	movl -16(%ebp),%edi
	movzbl (%edi),%edi
	movl %edi,60(%esi)
	incl -16(%ebp)
	movl -16(%ebp),%ebx
	movb (%ebx),%al
	incl -16(%ebp)
	testb %al,%al
	je L56
	pushl $LC10
	pushl $LC5
	pushl $__IO_stderr_
	call _fprintf
	addl $12,%esp
	pushl $1
	call _exit
	addl $4,%esp
	.align 4,0x90
L56:
	cmpl $0,124(%esi)
	je L57
	cmpl $0,128(%esi)
	je L58
	movl 56(%esi),%edi
	pushl %edi
	movl 48(%esi),%ebx
	pushl %ebx
	movl 36(%esi),%edi
	pushl %edi
	movl 32(%esi),%ebx
	pushl %ebx
	movl 12(%ebp),%edi
	pushl %edi
	pushl $LC11
	pushl $__IO_stderr_
	call _fprintf
	addl $28,%esp
L58:
	nop
	movl $0,-24(%ebp)
L59:
	movl -24(%ebp),%ebx
	cmpl %ebx,56(%esi)
	jle L60
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movl -24(%ebp),%edi
	movb %bl,37012(%edi,%esi)
	incl -16(%ebp)
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movl -24(%ebp),%edi
	movb %bl,37268(%edi,%esi)
	incl -16(%ebp)
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movl -24(%ebp),%edi
	movb %bl,37524(%edi,%esi)
	incl -16(%ebp)
	movl -24(%ebp),%edi
	movb $0,37780(%edi,%esi)
L61:
	incl -24(%ebp)
	jmp L59
	.align 4,0x90
L60:
	movl $0,38036(%esi)
	jmp L62
	.align 4,0x90
L57:
	pushl $LC12
	pushl $__IO_stderr_
	call _fprintf
	addl $8,%esp
	cmpl $0,38040(%esi)
	jne L63
	movl $256,38040(%esi)
L63:
L62:
	movl -16(%ebp),%ebx
	movb (%ebx),%al
	incl -16(%ebp)
	cmpb $44,%al
	je L64
	pushl $LC13
	pushl $LC5
	pushl $__IO_stderr_
	call _fprintf
	addl $12,%esp
	pushl $1
	call _exit
	addl $4,%esp
	.align 4,0x90
L64:
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movb %bl,-8(%ebp)
	incl -16(%ebp)
	movzbl -8(%ebp),%eax
	movl -16(%ebp),%edi
	movzbl (%edi),%edx
	movl %edx,%ecx
	movl %ecx,%edx
	sall $8,%edx
	movl %eax,%ebx
	addl %edx,%ebx
	movl %ebx,40(%esi)
	incl -16(%ebp)
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movb %bl,-8(%ebp)
	incl -16(%ebp)
	movzbl -8(%ebp),%eax
	movl -16(%ebp),%edi
	movzbl (%edi),%edx
	movl %edx,%ecx
	movl %ecx,%edx
	sall $8,%edx
	movl %eax,%ebx
	addl %edx,%ebx
	movl %ebx,44(%esi)
	incl -16(%ebp)
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movb %bl,-8(%ebp)
	incl -16(%ebp)
	movzbl -8(%ebp),%eax
	movl -16(%ebp),%edi
	movzbl (%edi),%edx
	movl %edx,%ecx
	movl %ecx,%edx
	sall $8,%edx
	movl %eax,%ebx
	addl %edx,%ebx
	movl %ebx,32(%esi)
	incl -16(%ebp)
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movb %bl,-8(%ebp)
	incl -16(%ebp)
	movzbl -8(%ebp),%eax
	movl -16(%ebp),%edi
	movzbl (%edi),%edx
	movl %edx,%ecx
	movl %ecx,%edx
	sall $8,%edx
	movl %eax,%ebx
	addl %edx,%ebx
	movl %ebx,36(%esi)
	incl -16(%ebp)
	movl -16(%ebp),%edi
	movb (%edi),%al
	shrb $6,%al
	movzbl %al,%edx
	movl %edx,%eax
	andl $1,%eax
	movl %eax,120(%esi)
	incl -16(%ebp)
	cmpl $0,128(%esi)
	je L65
	cmpl $0,120(%esi)
	je L66
	movl $LC14,%eax
	jmp L67
	.align 4,0x90
L66:
	movl $LC15,%eax
L67:
	pushl %eax
	movl 36(%esi),%ebx
	pushl %ebx
	movl 32(%esi),%edi
	pushl %edi
	pushl $LC16
	pushl $__IO_stderr_
	call _fprintf
	addl $20,%esp
L65:
	movl -16(%ebp),%ebx
	movzbl (%ebx),%ebx
	movl %ebx,64(%esi)
	incl -16(%ebp)
	movl 64(%esi),%ecx
	movl $1,%edi
	sall %cl,%edi
	movl %edi,80(%esi)
	movl 80(%esi),%ebx
	incl %ebx
	movl %ebx,84(%esi)
	movl 80(%esi),%eax
	addl $2,%eax
	movl %eax,%edx
	movl %edx,100(%esi)
	movl %edx,104(%esi)
	incl 64(%esi)
	movl 64(%esi),%edi
	movl %edi,68(%esi)
	movl 64(%esi),%ecx
	movl $1,%ebx
	sall %cl,%ebx
	movl %ebx,76(%esi)
	movl 76(%esi),%edi
	decl %edi
	movl %edi,116(%esi)
	movl 140(%esi),%ebx
	movl %ebx,-20(%ebp)
L68:
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movb %bl,-12(%ebp)
	movb -12(%ebp),%al
	movb %al,-8(%ebp)
	incl -16(%ebp)
L71:
	decb -8(%ebp)
	cmpb $255,-8(%ebp)
	je L72
	movl -16(%ebp),%ebx
	movb (%ebx),%bl
	movl -20(%ebp),%edi
	movb %bl,(%edi)
	incl -16(%ebp)
	incl -20(%ebp)
	jmp L71
	.align 4,0x90
L72:
	movl 140(%esi),%eax
	subl -20(%ebp),%eax
	cmpl %eax,-4(%ebp)
	jge L73
	pushl $LC17
	pushl $LC5
	pushl $__IO_stderr_
	call _fprintf
	addl $12,%esp
	pushl $1
	call _exit
	addl $4,%esp
	.align 4,0x90
L73:
L70:
	cmpb $0,-12(%ebp)
	je L69
	jmp L68
	.align 4,0x90
L69:
	movl 136(%esi),%edi
	pushl %edi
	call _free
	addl $4,%esp
	cmpl $0,128(%esi)
	je L74
	pushl $LC18
	pushl $__IO_stderr_
	call _fprintf
	addl $8,%esp
	pushl $LC19
	pushl $__IO_stderr_
	call _fprintf
	addl $8,%esp
L74:
	movl 32(%esi),%eax
	imull 36(%esi),%eax
	pushl %eax
	call ___gnu_malloc
	addl $4,%esp
	movl %eax,%eax
	movl %eax,132(%esi)
	cmpl $0,132(%esi)
	jne L75
	pushl $LC20
	pushl $LC5
	pushl $__IO_stderr_
	call _fprintf
	addl $12,%esp
	pushl $1
	call _exit
	addl $4,%esp
	.align 4,0x90
L75:
	movl 32(%esi),%ebx
	movl %ebx,52(%esi)
	pushl %esi
	call _ReadCode__3Gif
	addl $4,%esp
	movl %eax,%eax
	movl %eax,72(%esi)
L76:
	movl 72(%esi),%eax
	cmpl %eax,84(%esi)
	je L77
	movl 72(%esi),%eax
	cmpl %eax,80(%esi)
	jne L78
	movl 68(%esi),%edi
	movl %edi,64(%esi)
	movl 64(%esi),%ecx
	movl $1,%ebx
	sall %cl,%ebx
	movl %ebx,76(%esi)
	movl 76(%esi),%edi
	decl %edi
	movl %edi,116(%esi)
	movl 100(%esi),%ebx
	movl %ebx,104(%esi)
	pushl %esi
	call _ReadCode__3Gif
	addl $4,%esp
	movl %eax,%eax
	movl %eax,%edx
	movl %edx,72(%esi)
	movl %edx,%eax
	movl %eax,92(%esi)
	movl %eax,88(%esi)
	movl 88(%esi),%edi
	andl 112(%esi),%edi
	movl %edi,108(%esi)
	movl 108(%esi),%ebx
	pushl %ebx
	pushl %esi
	call _AddToPixel__3GifUc
	addl $8,%esp
	jmp L79
	.align 4,0x90
L78:
	movl 72(%esi),%eax
	movl %eax,96(%esi)
	movl %eax,88(%esi)
	movl 88(%esi),%eax
	cmpl %eax,104(%esi)
	jg L80
	movl 92(%esi),%edi
	movl %edi,88(%esi)
	movl 20(%esi),%ebx
	movl %ebx,-32(%ebp)
	movl 108(%esi),%ebx
	movl -32(%ebp),%edi
	movl %ebx,32912(%esi,%edi,4)
	incl 20(%esi)
L80:
	nop
L81:
	movl 88(%esi),%eax
	cmpl %eax,112(%esi)
	jge L82
	cmpl $1024,20(%esi)
	jle L83
	pushl $LC21
	pushl $__IO_stderr_
	call _fprintf
	addl $8,%esp
	pushl $-1
	call _exit
	addl $4,%esp
	.align 4,0x90
L83:
	movl 20(%esi),%edi
	movl %edi,-36(%ebp)
	movl 88(%esi),%eax
	movl 16528(%esi,%eax,4),%edi
	movl -36(%ebp),%ebx
	movl %edi,32912(%esi,%ebx,4)
	incl 20(%esi)
	movl 88(%esi),%eax
	movl 144(%esi,%eax,4),%ebx
	movl %ebx,88(%esi)
	jmp L81
	.align 4,0x90
L82:
	movl 88(%esi),%edi
	andl 112(%esi),%edi
	movl %edi,108(%esi)
	movl 20(%esi),%ebx
	movl %ebx,-28(%ebp)
	movl 108(%esi),%ebx
	movl -28(%ebp),%edi
	movl %ebx,32912(%esi,%edi,4)
	incl 20(%esi)
	movl 20(%esi),%edi
	decl %edi
	movl %edi,-24(%ebp)
L84:
	cmpl $0,-24(%ebp)
	jl L85
	movl -24(%ebp),%ebx
	movl 32912(%esi,%ebx,4),%ebx
	pushl %ebx
	pushl %esi
	call _AddToPixel__3GifUc
	addl $8,%esp
L86:
	decl -24(%ebp)
	jmp L84
	.align 4,0x90
L85:
	movl $0,20(%esi)
	movl 104(%esi),%eax
	movl 92(%esi),%edi
	movl %edi,144(%esi,%eax,4)
	movl 104(%esi),%eax
	movl 108(%esi),%ebx
	movl %ebx,16528(%esi,%eax,4)
	movl 96(%esi),%edi
	movl %edi,92(%esi)
	incl 104(%esi)
	movl 104(%esi),%eax
	cmpl %eax,76(%esi)
	jg L87
	cmpl $11,64(%esi)
	jg L88
	incl 64(%esi)
	movl 76(%esi),%eax
	movl %eax,%edx
	movl %edx,%eax
	addl %edx,%eax
	movl %eax,76(%esi)
	movl 64(%esi),%ecx
	movl $1,%eax
	sall %cl,%eax
	leal -1(%eax),%ebx
	movl %ebx,116(%esi)
L88:
L87:
L79:
	pushl %esi
	call _ReadCode__3Gif
	addl $4,%esp
	movl %eax,%eax
	movl %eax,72(%esi)
	jmp L76
	.align 4,0x90
L77:
	movl 140(%esi),%edi
	pushl %edi
	call _free
	addl $4,%esp
	cmpl $0,128(%esi)
	je L89
	pushl $LC18
	pushl $__IO_stderr_
	call _fprintf
	addl $8,%esp
L89:
	cmpl $__IO_stdin_,(%esi)
	je L90
	movl (%esi),%ebx
	pushl %ebx
	call _fclose
	addl $4,%esp
L90:
L47:
	leal -48(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
.globl _ReadCode__3Gif
_ReadCode__3Gif:
	pushl %ebp
	movl %esp,%ebp
	subl $12,%esp
	pushl %ebx
	movl 8(%ebp),%edx
	movl 4(%edx),%eax
	testl %eax,%eax
	jge L92
	addl $7,%eax
L92:
	movl %eax,%ecx
	sarl $3,%ecx
	movl %ecx,-8(%ebp)
	movl 140(%edx),%ecx
	addl -8(%ebp),%ecx
	movl %ecx,-12(%ebp)
	movl -12(%ebp),%ecx
	movzbl (%ecx),%eax
	movl -8(%ebp),%ecx
	addl 140(%edx),%ecx
	movl %ecx,-12(%ebp)
	movl -12(%ebp),%ebx
	incl %ebx
	movzbl (%ebx),%ecx
	movl %ecx,-12(%ebp)
	movl -12(%ebp),%ebx
	movl %ebx,%ecx
	sall $8,%ecx
	movl %ecx,-12(%ebp)
	movl -12(%ebp),%ecx
	addl %eax,%ecx
	movl %ecx,-4(%ebp)
	cmpl $7,64(%edx)
	jle L93
	movl -8(%ebp),%eax
	addl 140(%edx),%eax
	leal 2(%eax),%ecx
	movl %ecx,-12(%ebp)
	movl -12(%ebp),%ecx
	movzbl (%ecx),%eax
	movl %eax,-12(%ebp)
	movl -12(%ebp),%eax
	sall $16,%eax
	addl %eax,-4(%ebp)
L93:
	movl 4(%edx),%eax
	movl %eax,-12(%ebp)
	cmpl $0,-12(%ebp)
	jge L94
	addl $7,-12(%ebp)
L94:
	movl -12(%ebp),%ecx
	sarl $3,%ecx
	movl %ecx,-12(%ebp)
	movl -12(%ebp),%ebx
	leal 0(,%ebx,8),%ecx
	movl %ecx,-12(%ebp)
	subl -12(%ebp),%eax
	movl %eax,%ecx
	sarl %cl,-4(%ebp)
	movl 64(%edx),%ecx
	addl %ecx,4(%edx)
	movl -4(%ebp),%ecx
	andl 116(%edx),%ecx
	movl %ecx,-12(%ebp)
	movl -12(%ebp),%eax
	jmp L91
	.align 4,0x90
	jmp L91
	.align 4,0x90
L91:
	movl -16(%ebp),%ebx
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
.globl _AddToPixel__3GifUc
_AddToPixel__3GifUc:
	pushl %ebp
	movl %esp,%ebp
	subl $8,%esp
	pushl %ebx
	movl 8(%ebp),%edx
	movl 12(%ebp),%eax
	movb %al,-1(%ebp)
	movl 12(%edx),%ecx
	cmpl %ecx,36(%edx)
	jle L96
	movl 12(%edx),%ecx
	imull 52(%edx),%ecx
	movl %ecx,%ebx
	addl 132(%edx),%ebx
	movl %ebx,-8(%ebp)
	movl -8(%ebp),%ecx
	addl 8(%edx),%ecx
	movb -1(%ebp),%bl
	movb %bl,(%ecx)
L96:
	movzbl -1(%ebp),%ecx
	cmpb $0,37780(%ecx,%edx)
	jne L97
	movzbl -1(%ebp),%ecx
	movb $1,37780(%ecx,%edx)
	incl 38036(%edx)
L97:
	incl 8(%edx)
	movl 8(%edx),%ecx
	cmpl %ecx,32(%edx)
	jne L98
	movl $0,8(%edx)
	cmpl $0,120(%edx)
	jne L99
	incl 12(%edx)
	jmp L100
	.align 4,0x90
L99:
	movl 16(%edx),%ecx
	cmpl $1,%ecx
	je L104
	cmpl $1,%ecx
	jg L111
	testl %ecx,%ecx
	je L102
	jmp L109
	.align 4,0x90
L111:
	cmpl $2,%ecx
	je L106
	cmpl $3,%ecx
	je L108
	jmp L109
	.align 4,0x90
L102:
	addl $8,12(%edx)
	movl 12(%edx),%ecx
	cmpl %ecx,36(%edx)
	jg L103
	incl 16(%edx)
	movl $4,12(%edx)
L103:
	jmp L101
	.align 4,0x90
L104:
	addl $8,12(%edx)
	movl 12(%edx),%ecx
	cmpl %ecx,36(%edx)
	jg L105
	incl 16(%edx)
	movl $2,12(%edx)
L105:
	jmp L101
	.align 4,0x90
L106:
	addl $4,12(%edx)
	movl 12(%edx),%ecx
	cmpl %ecx,36(%edx)
	jg L107
	incl 16(%edx)
	movl $1,12(%edx)
L107:
	jmp L101
	.align 4,0x90
L108:
	addl $2,12(%edx)
	jmp L101
	.align 4,0x90
L109:
	jmp L101
	.align 4,0x90
L101:
L100:
L98:
	jmp L112
	.align 4,0x90
	jmp L95
	.align 4,0x90
L112:
L95:
	movl -12(%ebp),%ebx
	movl %ebp,%esp
	popl %ebp
	ret
